using System;
using Newtonsoft.Json.Linq;

namespace FarmmapsKPI.Models
{
    public class KPIInput
    {
        public bool UseCreatedCropfield { get; set; }
        public string CropfieldItemCode { get; set; }
        public JObject DataCropfield { get; set; }
        public bool UseCreatedCropRecording { get; set; }
        public string CropRecordingItemCode { get; set; }
        public JObject DataCropRecording { get; set; }
        public bool UseCreatedOperation { get; set; }
        public string OperationItemCode { get; set; }
        public JObject DataOperation { get; set; }
        public bool UseCreatedCropfieldCharacteristic { get; set; }
        public string CropfieldCharacteristicItemCode { get; set; }
        public JObject DataCropfieldCharacteristic { get; set; }

        public string File { get; set; }
        public string InputVariable { get; set; }
        public string OutputFileName { get; set; }
        public string DownloadFolder { get; set; }
        public int CropYear { get; set; }
        public JObject GeometryJson { get; set; }
        public string InputLayerName { get; set; }
        public string fieldName { get; set; }
        public bool GetShadowData { get; set; }

    }
}